> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Delete Custom Fields

> A `DELETE` to the `/custom-fields/{model}/{id}/batchJsonDelete` endpoint allows your application to delete custom fields in batch.



## OpenAPI

````yaml delete /v3/custom-fields/{model}/{id}/batchJsonDelete
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/custom-fields/{model}/{id}/batchJsonDelete:
    delete:
      tags:
        - Custom Field
      summary: Batch Delete Custom Fields
      description: >-
        A `DELETE` to the `/custom-fields/{model}/{id}/batchJsonDelete` endpoint
        allows your application to delete custom fields in batch.
      operationId: customField.batchJsonDelete
      parameters:
        - name: model
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: integer
        - name: custom_fields
          in: query
          schema:
            type: array
            items:
              type: object
              properties:
                namespace:
                  type: string
                handle:
                  type: string
              required:
                - namespace
                - handle
          x-deepObject-style: qs
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  deleted:
                    type: integer
                required:
                  - deleted
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````